#!/bin/bash
### Joerg Doehring - 29.03.2023 ###
Y="\033[1;33m";
R="\033[0;31m";
E="\033[0m\n";
A="apt-get -y install";
D="dpkg -i";

if [ $UID != '0' ]; then
  echo -e $R"Error: must be root"$E
  exit 1
else
  echo -ne $Y"Cleaning apt cache ..."$E && apt-get clean && apt-get update 2>/dev/null; echo -ne $R"Done\n"$E
  echo -ne $Y"Install ttf-bitstream-vera ..."$E && $A ttf-bitstream-vera; echo -ne $R"Done\n"$E
  echo -ne $Y"Install ttf-ancient-fonts ..."$E && $A ttf-ancient-fonts; echo -ne $R"Done\n"$E
  echo -ne $Y"Install inotify-tools ..."$E && $A inotify-tools; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libvips-tools ..."$E && $A libvips-tools; echo -ne $R"Done\n"$E
  echo -ne $Y"Install poppler-utils ..."$E && $A poppler-utils; echo -ne $R"Done\n"$E
  echo -ne $Y"Install yad ..."$E && $A yad; echo -ne $R"Done\n"$E
  echo -ne $Y"Install lftp ..."$E && $A lftp; echo -ne $R"Done\n"$E
  echo -ne $Y"Install ncftp ..."$E && $A ncftp; echo -ne $R"Done\n"$E
  echo -ne $Y"Install dcraw ..."$E && $A dcraw; echo -ne $R"Done\n"$E
  echo -ne $Y"Install webp ..."$E && $A webp; echo -ne $R"Done\n"$E
  echo -ne $Y"Install pngcheck ..."$E && $A pngcheck; echo -ne $R"Done\n"$E
  echo -ne $Y"Install apng2gif ..."$E && $A apng2gif; echo -ne $R"Done\n"$E
  echo -ne $Y"Install gif2apng ..."$E && $A gif2apng; echo -ne $R"Done\n"$E
  echo -ne $Y"Install nomacs ..."$E && $A nomacs; echo -ne $R"Done\n"$E
  echo -ne $Y"Install imagemagick ..."$E && $A imagemagick; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimage-magick-perl ..."$E && $A libimage-magick-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libmodern-perl-perl ..."$E && $A libmodern-perl-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libutf8-all-perl ..."$E && $A libutf8-all-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libipc-system-simple-perl ..."$E && $A libipc-system-simple-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimage-base-bundle-perl ..."$E && $A libimage-base-bundle-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimage-metadata-jpeg-perl ..."$E && $A libimage-metadata-jpeg-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimage-size-perl ..."$E && $A libimage-size-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimage-exiftool-perl ..."$E && $A libimage-exiftool-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimager-perl ..."$E && $A libimager-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libimager-qrcode-perl ..."$E && $A libimager-qrcode-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-homedir-perl ..."$E && $A libfile-homedir-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-chdir-perl ..."$E && $A libfile-chdir-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-chmod-perl ..."$E && $A libfile-chmod-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-mimeinfo-perl ..."$E && $A libfile-mimeinfo-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-which-perl ..."$E && $A libfile-which-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libtext-wrapi18n-perl ..."$E && $A libtext-wrapi18n-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libhtml-lint-perl ..."$E && $A libhtml-lint-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libhtml-clean-perl ..."$E && $A libhtml-clean-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libdate-calc-perl ..."$E && $A libdate-calc-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install liblist-compare-perl ..."$E && $A liblist-compare-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-dirlist-perl ..."$E && $A libfile-dirlist-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install perl-tk ..."$E && $A perl-tk; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libtk-gbarr-perl ..."$E && $A libtk-gbarr-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libtk-tablematrix-perl ..."$E && $A libtk-tablematrix-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libsyntax-highlight-perl-perl ..."$E && $D libsyntax-highlight-perl-perl*all.deb; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libtk-codetext-perl ..."$E && $D libtk-codetext-perl*all.deb; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libtk-linenumbertext-perl ..."$E && $D libtk-linenumbertext-perl*all.deb; echo -ne $R"Done\n"$E
  echo -ne $Y"Install graphicmaiji ..."$E && $D graphicmaiji*all.deb; echo -ne $Y"\n Installation of GraphicMaiJi complete\n\n Install additional programs\n"$E
  #### optional programs ###
  echo -ne $Y"Install trimage ..."$E && $A trimage; echo -ne $R"Done\n"$E
  echo -ne $Y"Install zbar-tools ..."$E && $A zbar-tools; echo -ne $R"Done\n"$E
  echo -ne $Y"Install jp2a ..."$E && $A jp2a; echo -ne $R"Done\n"$E
  echo -ne $Y"Install tesseract-ocr ..."$E && $A tesseract-ocr; echo -ne $R"Done\n"$E
  echo -ne $Y"Install ffmpeg ..."$E && $A ffmpeg; echo -ne $R"Done\n"$E
  echo -ne $Y"Cleaning apt cache ..."$E && apt-get clean 2>/dev/null; echo -ne $Y"\n Installation complete\n"$E
fi
exit 0
